#pragma once
#include <SDL.h>
class MySDLInput
{
public:
	MySDLInput();
	bool GetKeyBoardState(SDL_Scancode key);//取键SDL_SCANCODE_键码 比如回车键 SDL_SCANCODE_RETURN
	void SetKeyLock(SDL_Scancode key);//设置按键锁定直到将它松开
private:
	const Uint8* keyboard_state = nullptr;//键的状态
	bool keyboard_lock[SDL_NUM_SCANCODES] = { 0 };//在放开按键前锁住键
};

